aboutsummaryrefslogtreecommitdiff
path: root/bin/test
diff options
context:
space:
mode:
Diffstat (limited to 'bin/test')
-rwxr-xr-xbin/test/test.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/test/test.sh b/bin/test/test.sh
index 58a8530..f9f23a8 100755
--- a/bin/test/test.sh
+++ b/bin/test/test.sh
@@ -15,10 +15,12 @@
# along with this program. If not, see <http://www.gnu.org/licenses/>.
# Back up the current files and get paths straight.
+set -e
dir="$( cd "$( dirname "$0" )" && pwd )"
-license=$(realpath "$dir/../license")
+license=$(readlink -f "$dir/../license")
cp "$dir/main.cpp" "$dir/main.cpp.old"
cp "$dir/README.md" "$dir/README.md.old"
+set +e
status=0
# license main.cpp
@@ -46,4 +48,3 @@ else
echo "OK"
fi
exit $status
-